package components

import androidx.compose.foundation.layout.*
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Surface
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.em
import data.Player
import data.toColorOrDefault

@Suppress("FunctionName")
@Composable
fun PlayerCard(
    player: Player,
    maxHeightFraction: Float,
    points: Long,
) {
    Surface(
        color = player.color.toColorOrDefault(),
        modifier = Modifier.fillMaxHeight(maxHeightFraction)
            .fillMaxWidth()
            .padding(5.dp),
        shape = MaterialTheme.shapes.small
    ) {
        Column(
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.SpaceAround
        ) {
            Text(
                text = player.name,
                fontSize = 2.5.em,
                color = Color.White
            )
            Text(
                text = points.toString(),
                fontSize = 5.em,
                color = Color.White
            )
        }
    }
}
