package components

import androidx.compose.foundation.layout.Row
import androidx.compose.runtime.Composable
import data.Game
import data.Player
import data.QuestionData

@Suppress("FunctionName")
@Composable
fun QuestionGrid(
    game: Game,
    secondRoundDouble: Boolean,
    questionResolved: Map<QuestionData, QuestionResolution>,
    onPointsChange: (player: Player, points: Long) -> Unit,
    onResolveQuestion: (QuestionData, QuestionResolution) -> Unit,
) {
    val users = game.players
    val numberOfColumns = game.topics.size

    Row {
        for ((index, topic) in game.topics.withIndex()) {
            val maxColumnFraction = 1f / (numberOfColumns - index)
            TopicRow(
                topic = topic,
                secondRoundDouble = secondRoundDouble,
                users = users,
                columnFraction = maxColumnFraction,
                questionsResolved = questionResolved,
                onPointsChange = onPointsChange,
                onResolveQuestion = onResolveQuestion
            )
        }
    }
}
