@file:Suppress("FunctionName")

package components.common

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp

@Composable
fun BorderBox(borderColor: Color, scope: @Composable BoxScope.() -> Unit) {
    Box(
        modifier = Modifier.fillMaxHeight().fillMaxWidth()
            .border(
                border = BorderStroke(50.dp, borderColor)
            )
            .padding(150.dp),
        contentAlignment = Alignment.Center,
    ) {
        scope()
    }
}
