package components.common

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.Button
import androidx.compose.material.ButtonDefaults
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.TextUnit

@Suppress("FunctionName")
@Composable
fun DisabledButton(maxWidthFraction: Float, fontSize: TextUnit) {
    Button(
        onClick = {},
        modifier = Modifier.fillMaxWidth(maxWidthFraction),
        colors = ButtonDefaults.buttonColors(backgroundColor = Color.DarkGray)
    ) {
        Text(text = "", fontSize = fontSize, color = Color.White)
    }
}
