package components.questiondialog.buttons

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.Button
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.TextUnit

@Suppress("FunctionName")
@Composable
fun DismissButton(onResolve: () -> Unit, fontSize: TextUnit) {
    Row(
        horizontalArrangement = Arrangement.End,
        verticalAlignment = Alignment.Bottom,
        modifier = Modifier.fillMaxWidth()
    ) {
        Button(
            onClick = {
                onResolve()
            }
        ) {
            Text("Dismiss", color = Color.LightGray, fontSize = fontSize)
        }
    }
}
