package components.questiondialog.buttons

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.Button
import androidx.compose.material.ButtonDefaults
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.TextUnit

@Suppress("FunctionName")
@Composable
fun GoodAnswerButton(onClick: () -> Unit, fontSize: TextUnit) {
    Button(
        modifier = Modifier.fillMaxWidth(),
        onClick = onClick,
        colors = ButtonDefaults.buttonColors(backgroundColor = Color.Green)
    ) {
        Text("OK", color = Color.White, fontSize = fontSize)
    }
}
