package data

import androidx.compose.ui.graphics.Color
import kotlinx.serialization.Serializable

@Serializable
class ColorData(
    val red: Int,
    val green: Int,
    val blue: Int,
)

fun ColorData?.toColorOrNull() = this?.toColor()
fun ColorData?.toColorOrDefault() = this?.toColor() ?: Color.Blue

fun ColorData.toColor() = Color(red, green, blue)
