package data

import kotlinx.serialization.Serializable

@Serializable
class QuestionData(
    val hint: String,
    val answer: String,
    val points: UInt,
    val isDouble: Boolean = false,
    val isDeferredDouble: Boolean = false,
) {
    fun actualDisplayPoints(double: Boolean) = points * (if (double) 2u else 1u)
    fun actualUsagePoints(double: Boolean) = points * (if (double) 2u else 1u) * (if (isDouble) 2u else 1u)
}
